import request from "umi-request";
import { message } from 'antd';

request.interceptors.response.use(async response => {
  const data = await response.clone().json();
  
  if (data?.code !== 0) {
    message.error(data?.msg);
  }else{
    data?.msg && message.success(data?.msg) 
  }

  return response;
});

export const doFetch = ({ url, params }) => {
  return request(url, {
    method: "POST",
    data: params ?? {},
  });
};

export const putFetch = ({ url, params }) => {
  return request(url, {
    method: "PUT",
    data: params ?? {},
  });
};

export const delFetch = ({ url, params }) => {
  return request(url, {
    method: "DELETE",
    data: params ?? {},
  });
};

export const getFetch = ({ url, params }) => {
  return request(url, {
    method: "GET",
    params: params ?? {},
  });
};
